
import mysql.connector
from gensim.parsing.preprocessing import remove_stopwords
import spacy
nlp = spacy.load("en_core_web_lg")

#######################################################################################################################################
# begin database search
mydb = mysql.connector.connect(
    host="localhost",
    user="root",
    password="",
    database="virtualinterview"
)
#######################################################################################################################################



# Request: qnaid, answer
# Response: returns a mark


# Request
# Question: What is JAVA stream?

qnaid = "54"
#answer = "I love to play cricket"
answer = "Java stream is introduced with Java 8, this is used to deal with JAVA collections framework, this makes the collection APIs faster with parallel processing etc. filter, map are some opperations of JAVA stream"
#answer = "OOP is one of the main concept in JAVA which is used to deal with the concept of Classes, Object and few principles like encapsulation, inheritance, abstraction, polymorphism"



# Find actual answers from database
sql = "SELECT * FROM `classfication_answers` WHERE`qnaid` = " + qnaid
mycursor = mydb.cursor()
mycursor.execute(sql)
myresult = mycursor.fetchall()

answerArrayFromDB = ['answer'] * len(myresult)
noStopWordAnswerArrayFromDB = ['answer'] * len(myresult)
ratioOfAnswerArray = [0.0] * len(myresult)
nlpNoStopWordAnswerArrayFromDB = [0.0] * len(myresult)

if myresult:
    print("result is not empty")

    counter = 0
    # Add answer from DB in an array
    for myresultObj in myresult:
        print("answer: " + myresultObj[2])
        answerArrayFromDB[counter] = myresultObj[2]
        counter = counter + 1


print('\n\n')
# Remove stop words in answer from db and user's answer
noStopWordUserAnswer = remove_stopwords(answer)
print("noStopWordUserAnswer: " + noStopWordUserAnswer)
print('\n\n')

counter = 0
for answerFromDbObj in answerArrayFromDB:
    noStopWordAnswerArrayFromDB[counter] = remove_stopwords(answerFromDbObj)
    print("noStopWordAnswerArrayFromDB: " + noStopWordAnswerArrayFromDB[counter])
    counter = counter + 1
print('\n\n')


# Remove domain words in answer from db and user's answer
fileDomain = open("domain.txt", "r")
fileStr = fileDomain.read()
print("fileDomain: " + fileStr)
domainStopwords = fileStr.split(" ")
print(domainStopwords)
querywords1 = noStopWordUserAnswer.split()

noStopWordUserAnswerREMDOM  = [word for word in querywords1 if word.lower() not in domainStopwords]
noStopWordUserAnswer = ' '.join(noStopWordUserAnswerREMDOM)
print("noStopWordUserAnswer: " + noStopWordUserAnswer)

for noStopWordAnswerArrayFromDBObj in noStopWordAnswerArrayFromDB:
    querywords1 = noStopWordAnswerArrayFromDBObj.split()
    noStopWordAnswerArrayFromDBObjREMDOM = [word for word in querywords1 if word.lower() not in domainStopwords]
    noStopWordAnswerArrayFromDBObj = ' '.join(noStopWordAnswerArrayFromDBObjREMDOM) 
    print("noStopWordAnswerArrayFromDBObj: " + noStopWordAnswerArrayFromDBObj)
print('\n\n')

# NLP tag to text
userAnswerNLP = nlp(u''+noStopWordUserAnswer+'')

counter = 0
for noStopWordAnswerArrayFromDBObj in noStopWordAnswerArrayFromDB:
    nlpNoStopWordAnswerArrayFromDB[counter] = nlp(u''+noStopWordAnswerArrayFromDBObj+'')
    counter = counter + 1


# Calculate ratio of answers
counter = 0
total = 0
for nlpNoStopWordAnswerArrayFromDBObj in nlpNoStopWordAnswerArrayFromDB:
    ratioOfAnswerArray[counter] = userAnswerNLP.similarity(nlpNoStopWordAnswerArrayFromDBObj)
    print("ratioOfAnswerArray[counter]: %.3f" %ratioOfAnswerArray[counter])
    total = total + ratioOfAnswerArray[counter]
    counter = counter + 1
print('\n\n')

average = (total / counter) * 100
print("average: %.3f" %average)


if(average < 80):
    print("MARK: %.3f" %average)
    print("BAD MARK")
else:
    print("MARK: %.3f" %average)

