package lk.sliit.research.interviewapp.Service.impl;

import lk.sliit.research.interviewapp.Repository.InterviewRepository;
import lk.sliit.research.interviewapp.Service.InterviewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class InterviewServiceImpl implements InterviewService {

    @Autowired
    private InterviewRepository interviewRepository;

    @Override
    public boolean isValidInterviewKey(String key) {
        return (interviewRepository.countInterviewByGivenKey(key) > 0);
    }
}
