<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="org.springframework.web.servlet.support.ServletUriComponentsBuilder"%>
<%@ page import="java.util.Calendar"%>
<html>
<head>
    <title>Sample Page</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.1.1.min.js">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</head>
<body style="background-color:#ededf0">
    <%
        final String baseUrl = ServletUriComponentsBuilder.fromCurrentContextPath().build().toUriString();
        String text = (String) request.getAttribute("text");
        String error = "NONE";
        if(request.getAttribute("error") != null){
            error = (String) request.getAttribute("error");
        }

        int year = Calendar.getInstance().get(Calendar.YEAR);
    %>

    <%
        if(!error.equals("NONE")){
            %>
                <div id="errorEnterKeyAlert">
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                      <strong>Error: </strong> <%=error %>
                      <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close" onclick="closeErrorEnterKeyAlert()">x</button>
                    </div>
                </div>
            <%
        }
    %>

    <div class="row">
        <div class="col-md-12 container" style="height:536px">
            <div class="container">
                  <h1>Enter key to join interview</h1>
                  <form method="post" action=<%=baseUrl + "/interview/enterInterview"%>>
                      <div class="mb-3">
                        <label for="key" class="form-label">Key</label>
                        <input type="text" class="form-control" id="key" name="key" onkeyup="closeErrorEnterKeyAlert()" required>
                      </div>
                      <button type="submit" class="btn btn-info">Go to interview</button>
                  </form>
            </div>
        </div>
    </div>
    <div class="row bg-info">
        <div class="col-md-12 text-center">
            <p class="mt-2 text-white">Copyright &copy; <%=year%> <%=text%>. All Rights Reserved</p>
        </div>
    </div>
</body>
</html>

<script>
    function closeErrorEnterKeyAlert() {
        document.getElementById("errorEnterKeyAlert").style.display = "none";
    }
</script>