package lk.sliit.research.interviewapp.Repository;

import lk.sliit.research.interviewapp.model.domain.Candidate;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CandidateRepository extends CrudRepository<Candidate, Integer> {
    @Query(value = "SELECT * FROM candidate WHERE job_id = ?1", nativeQuery = true)
    List<Candidate> viewAllCandidatesByJobId(int jobId);

    @Query(value = "SELECT * FROM `candidate` WHERE `resume_analysis` = 'DO_ANALYSIS' LIMIT ?1",nativeQuery = true)
    List<Candidate> viewCandidateForResumeAnalysis(int limit);
}
