package lk.sliit.research.interviewapp.Service;

import lk.sliit.research.interviewapp.model.domain.Interview;

import java.util.List;

public interface InterviewService {
    boolean isValidInterviewKey(String key);
    boolean updateInterviewLifeCycle(int interviewId, String status);
    Interview getInterviewByRoomIdAndKey(String roomId, String key);
    Interview getInterviewByCandidateId(int candidateId);
    boolean placeInterview(Interview interview);
    String checkInterviewEligible(int candidateId);
    List<Interview> viewInterviewForAnalysis(int limit);
    boolean saveOrUpdate(Interview interview);
    Interview findByRoomIdAndKeyNotInInitial(String roomId, String key);
    boolean updateInterviewSelectionStatus(int candidateId, String status);
}
