<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="org.springframework.web.servlet.support.ServletUriComponentsBuilder"%>
<%@ page import="java.util.Calendar"%>
<html>
<head>
    <title>Admin Home</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.1.1.min.js">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</head>
<body>
    <%
        final String baseUrl = ServletUriComponentsBuilder.fromCurrentContextPath().build().toUriString();
        String text = (String) request.getAttribute("text");
        int year = Calendar.getInstance().get(Calendar.YEAR);
    %>
    <div class="row">
        <div class="col-md-12">
            <%@include file="../common/adminHeader.jsp" %>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12" style="height:536px">
            <div class="container-fluid p-5">
                <h4>Welcome to <%=text%></h5>
                <h5>Hello Admin</h5>
                <div>
                    <div class="row text-center">
                        <div class="col-md-12">
                            <h5 class="text-info"><b>ADMIN TODO LIST</b></h5>
                        </div>
                    </div>
                    <br/>
                    <div class="row">
                        <div class="col-md-4">
                            <ul>
                                <li>List all jobs</li>
                                <li>List all candidates</li>
                                <li>Add a job</li>
                                <li>Add a candidate</li>
                            </ul>
                        </div>
                        <div class="col-md-4">
                            <ul>
                                <li>Add an advertisement</li>
                                <li>Add candidate resume</li>
                                <li>Add candidate image</li>
                                <li>Analyze resume (Auto-Button-Click)</li>
                            </ul>
                        </div>
                        <div class="col-md-4">
                            <ul>
                                <li>Place interview</li>
                                <li>Analyze interview (Auto)</li>
                                <li>Select a candidate</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row bg-info">
        <div class="col-md-12 text-center">
            <p class="mt-2 text-white">Copyright &copy; <%=year%> <%=text%>. All Rights Reserved</p>
        </div>
    </div>
</body>
</html>
