<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="org.springframework.web.servlet.support.ServletUriComponentsBuilder"%>
<%@ page import="java.util.Calendar"%>
<%@ page import="lk.sliit.research.interviewapp.model.domain.Interview"%>
<%@ page import="lk.sliit.research.interviewapp.model.domain.Candidate"%>
<html>
<head>
    <title>Sample Page</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.1.1.min.js">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</head>
<body style="background-color:#ededf0">
    <%
        final String baseUrl = ServletUriComponentsBuilder.fromCurrentContextPath().build().toUriString();
        String text = (String) request.getAttribute("text");
        Interview interview = (Interview) request.getAttribute("interview");
        Candidate candidate = (Candidate) request.getAttribute("candidate");

        int year = Calendar.getInstance().get(Calendar.YEAR);
    %>

    <div class="row">
        <div class="col-md-12">
            <%@include file="../common/candidateHeader.jsp" %>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12 container" style="height:536px">
            <div class="container">
                <h1>Interview Details</h1>
                <div class="row">
                    <div class="col-md-6 p-3">
                        <table class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">Value</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>1</td>
                                    <td>First Name</td>
                                    <td><%=candidate.getFirstName()%></td>
                                </tr>
                                <tr>
                                    <td>2</td>
                                    <td>Last Name</td>
                                    <td><%=candidate.getLastName()%></td>
                                </tr>
                                <tr>
                                    <td>3</td>
                                    <td>Resume Score</td>
                                    <td><%=candidate.getScore()%></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-md-6 p-3">
                        <table class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">Value</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>4</td>
                                    <td>Date Fixed</td>
                                    <td><%=interview.getDateFixed()%></td>
                                </tr>
                                <tr>
                                    <td>5</td>
                                    <td>Join Date</td>
                                    <td>
                                        <%
                                            if(interview.getJoinDate() != null){
                                                %><%=interview.getJoinDate()%><%
                                            }
                                            else{
                                                %><p class="text-danger">Interview is not started yet!</p><%
                                            }
                                        %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>6</td>
                                    <td>Interview Status</td>
                                    <td><%=interview.getStatus()%></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row bg-info">
        <div class="col-md-12 text-center">
            <p class="mt-2 text-white">Copyright &copy; <%=year%> <%=text%>. All Rights Reserved</p>
        </div>
    </div>
</body>
</html>