<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="org.springframework.web.servlet.support.ServletUriComponentsBuilder"%>
<html>
<head>
    <title>Sample Login</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</head>
<body style="background-color:#ededf0">
    <%
        final String baseUrl = ServletUriComponentsBuilder.fromCurrentContextPath().build().toUriString();
        String text = (String) request.getAttribute("text");
        String error = "";
        String logout = "";
    %>
    <div class="row">
        <div class="col-md-8">
            <div class="row p-4">
                <div class="col-md-12 text-center">
                    <h1 class="text-info"><%=text%></h1>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 text-center">
                    <img src=<%=baseUrl + "/interview.png"%> width="70%"/>
                </div>
            </div>
        </div>
        <div class="col-md-4" style="border-left: 5px solid #2196F3;">
            <div class="p-5 text-center" style="margin-top:35%">
                <h3 class="text-info">Login</h3>
                <p class="text-danger"><%=error %></p>
                <p class="text-info"><%=logout %></p>
                <form action="interview/login" method="post">
                  <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
                  <div class="form-group">
                    <label for="inputUsername">Username</label>
                    <input type="text" class="form-control" id="user" name="user" placeholder="Enter username" required>
                  </div>
                  <div class="form-group">
                    <label for="inputPassword">Password</label>
                    <input type="password" class="form-control" id="pass" name="pass" placeholder="Password" required>
                  </div>
                  <button type="submit" class="btn btn-info">Login</button>
                </form>
            </div>
        </div>
    </div>
</body>
</html>
