package lk.sliit.research.interviewapp.Repository;

import lk.sliit.research.interviewapp.model.domain.Interview;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface InterviewRepository extends CrudRepository<Interview, Integer> {
    @Query(value = "SELECT COUNT(i.id) FROM interview i WHERE i.key = ?1", nativeQuery = true)
    int countInterviewByGivenKey(String key);
}
