package lk.sliit.research.interviewapp.Repository;

import lk.sliit.research.interviewapp.model.domain.Job;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface JobRepository extends CrudRepository<Job, Integer> {
    @Query(value = "SELECT COUNT(j.id) FROM job j WHERE j.name = ?1", nativeQuery = true)
    int countJobNameByGivenName(String name);

    @Query(value = "SELECT * FROM job WHERE name LIKE %?1%", nativeQuery = true)
    List<Job> filterJobsOnName(String name);
}
